Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 473593 - lam : Unowned directories
Summary: lam : Unowned directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lam
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 225979
TreeView+ depends on / blocked
 
Reported: 2008-11-29 16:38 UTC by Michael Schwendt
Modified: 2009-05-22 13:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-22 13:42:28 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2008-11-29 16:38:11 UTC
One or more directories are not included within this
package and/or its sub-packages:

=> 2:lam-7.1.4-1.fc10.i386 (rawhide-development-i386)
/usr/lib/lam/man
/usr/lib/lam/man/man5
/usr/lib/lam/man/man7
/usr/lib/lam/man/man1

=> 2:lam-devel-7.1.4-1.fc10.i386 (rawhide-development-i386)
/usr/lib/lam/man
/usr/lib/lam/man/man2
/usr/lib/lam/man/man3

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

Comment 1 Christoph Wickert 2009-01-30 22:06:04 UTC
(In reply to comment #0)
> One or more directories are not included within this
> package and/or its sub-packages:
> 
> => 2:lam-7.1.4-1.fc10.i386 (rawhide-development-i386)
> /usr/lib/lam/man
> /usr/lib/lam/man/man5
> /usr/lib/lam/man/man7
> /usr/lib/lam/man/man1

There is certainly more going wrong than just unowned dirs. The mandir is incorrect.

Comment 2 Michael Schwendt 2009-01-31 11:13:43 UTC
See latest %changelog comment. It's some weird packaging that relocates _all_ file trees in all packages to /usr/lib/lam, so none of this can be used directly.

Comment 3 Michael Schwendt 2009-01-31 12:43:32 UTC
Running ldconfig is useless with libs stored outside runtime-linker's search path. The package also ought to filter its automatic SONAME Provides for the same reason.

Comment 4 Christoph Wickert 2009-01-31 13:19:11 UTC
Some more observations from a quick look over the spec:

'Group: Development/Libraries' for the base package seems wrong to me.

The description is way to long.

'Requires(post): /sbin/ldconfig' for the libs package is not necessary, because rpm will pick this up automatically as you are using
'%postun libs -p /sbin/ldconfig'

The libs and the devel packages' descriptions are not ending with dots.

All the 'alternatives --remove ' stuff should only be run on updates, see 
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Syntax

No need to %exclude the files in %{mpidir}/bin/ from the base package because they are in lam-devel.

Comment 5 Mamoru TASAKA 2009-02-01 12:14:10 UTC
Note that merge review for this package is not finished yet.
https://bugzilla.redhat.com/show_bug.cgi?id=225979

Comment 6 Doug Ledford 2009-05-20 13:35:38 UTC
The unowned directories have been fixed.  As for the locations of the files, real world usage of MPI stacks does not work with FHS file layouts.  The need to have more than one MPI implementation installed (sometimes multiple copies of the exact same implementation and version, just compiled with a different compiler) is pretty common/pervasive.  The use of the alternatives program also falls far short of the mark as a system wide default simply doesn't work.  Even a per user default falls short of the mark.  Hence the use of environment-modules.

I've also updated the description to note that LAM is deprecated.  I don't intend to make any further updates to LAM, and hopefully it will die a peaceful death by F12.


Note You need to log in before you can comment on or make changes to this bug.